summaryrefslogtreecommitdiff
path: root/qa/410
diff options
context:
space:
mode:
authorIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
committerIgor Pashev <pashev.igor@gmail.com>2014-10-26 12:33:50 +0400
commit47e6e7c84f008a53061e661f31ae96629bc694ef (patch)
tree648a07f3b5b9d67ce19b0fd72e8caa1175c98f1a /qa/410
downloadpcp-debian.tar.gz
Debian 3.9.10debian/3.9.10debian
Diffstat (limited to 'qa/410')
-rwxr-xr-xqa/41032
1 files changed, 32 insertions, 0 deletions
diff --git a/qa/410 b/qa/410
new file mode 100755
index 0000000..1aafc46
--- /dev/null
+++ b/qa/410
@@ -0,0 +1,32 @@
+#!/bin/sh
+# PCP QA Test No. 410
+# event records and pmdumplog
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+_filter()
+{
+ sed \
+ -e 's/[0-2][0-9]:[0-5][0-9]:[0-5][0-9]\.[0-9][0-9][0-9]/TIMESTAMP/g' \
+ -e '/pmcd\.pmlogger\./s/ inst.*/blah .../' \
+ -e '/sample\.event\.param_aggregate/s/ value .*/ [blob]/'
+}
+
+# real QA test starts here
+pmdumplog src/eventrec-old | _filter
+
+# success, all done
+exit